|  | Home

# QtSizePolicyPropertyManager Class Reference

The QtSizePolicyPropertyManager provides and manages QSizePolicy properties. More...

     #include <QtSizePolicyPropertyManager>

Inherits QtAbstractPropertyManager.

- List of all members, including inherited members

## Public Functions

| QtSizePolicyPropertyManager ( QObject * parent = 0 )
| ~QtSizePolicyPropertyManager ()
QtEnumPropertyManager * | subEnumPropertyManager () const
QtIntPropertyManager * | subIntPropertyManager () const
QSizePolicy | value ( const QtProperty * property ) const

- 3 public functions inherited from QtAbstractPropertyManager
- 29 public functions inherited from QObject

## Public Slots

void | setValue ( QtProperty * property, const QSizePolicy & value )

- 1 public slot inherited from QObject

## Signals

void | valueChanged ( QtProperty * property, const QSizePolicy & value )

- 4 signals inherited from QtAbstractPropertyManager
- 1 signal inherited from QObject

## Reimplemented Protected Functions

virtual void | initializeProperty ( QtProperty * property )
virtual void | uninitializeProperty ( QtProperty * property )
virtual QString | valueText ( const QtProperty * property ) const

- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtSizePolicyPropertyManager provides and manages QSizePolicy properties.

A size policy property has nested horizontalPolicy, verticalPolicy, horizontalStretch and verticalStretch subproperties. The top-level property's value can be retrieved using the value() function, and set using the setValue() slot.

The subproperties are created by QtIntPropertyManager and QtEnumPropertyManager objects. These managers can be retrieved using the subIntPropertyManager() and subEnumPropertyManager() functions respectively. In order to provide editing widgets for the subproperties in a property browser widget, these managers must be associated with editor factories.

In addition, QtSizePolicyPropertyManager provides the valueChanged() signal which is emitted whenever a property created by this manager changes.

See also QtAbstractPropertyManager, QtIntPropertyManager, and QtEnumPropertyManager.

## Member Function Documentation

### QtSizePolicyPropertyManager::QtSizePolicyPropertyManager ( QObject * parent = 0 )

Creates a manager with the given parent.

### QtSizePolicyPropertyManager::~QtSizePolicyPropertyManager ()

Destroys this manager, and all the properties it has created.

### void QtSizePolicyPropertyManager::initializeProperty ( QtProperty * property ) `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::initializeProperty().

### void QtSizePolicyPropertyManager::setValue ( QtProperty * property, const QSizePolicy & value ) `[slot]`

Sets the value of the given property to value. Nested properties are updated automatically.

See also value() and valueChanged().

### QtEnumPropertyManager * QtSizePolicyPropertyManager::subEnumPropertyManager () const

Returns the manager that creates the nested horizontalPolicy and verticalPolicy subproperties.

In order to provide editing widgets for the mentioned subproperties in a property browser widget, this manager must be associated with an editor factory.

See also QtAbstractPropertyBrowser::setFactoryForManager().

### QtIntPropertyManager * QtSizePolicyPropertyManager::subIntPropertyManager () const

Returns the manager that creates the nested horizontalStretch and verticalStretch subproperties.

In order to provide editing widgets for the mentioned subproperties in a property browser widget, this manager must be associated with an editor factory.

See also QtAbstractPropertyBrowser::setFactoryForManager().

### void QtSizePolicyPropertyManager::uninitializeProperty ( QtProperty * property ) `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::uninitializeProperty().

### QSizePolicy QtSizePolicyPropertyManager::value ( const QtProperty * property ) const

Returns the given property's value.

If the given property is not managed by this manager, this function returns the default size policy.

See also setValue().

### void QtSizePolicyPropertyManager::valueChanged ( QtProperty * property, const QSizePolicy & value ) `[signal]`

This signal is emitted whenever a property created by this manager changes its value, passing a pointer to the property and the new value as parameters.

See also setValue().

### QString QtSizePolicyPropertyManager::valueText ( const QtProperty * property ) const `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::valueText().